Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMProcessExcute.cs	(revision 51)
@@ -0,0 +1,343 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 起動対象マスタＤＢアクセス
+    /// </summary>
+    public class IOMProcessExcute : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 起動対象マスタフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            SecCode = 0,
+            ExecCode,
+            EditFlg,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMProcessExcute()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 起動対象マスタ検索文字作成
+        /// <summary>
+        /// 起動対象マスタ検索文字作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">起動対象マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += "  SecCode";
+            strcmd += " ,ExecCode";
+            strcmd += " ,EditFlg";
+            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM ProcessExcuteMaster";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 起動対象マスタ検索（複数）
+        /// <summary>
+        /// 起動対象マスタ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<ProcessExcute> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    ProcessExcute work = new ProcessExcute();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 起動対象マスタ検索（1件）
+        /// <summary>
+        /// 起動対象マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref ProcessExcute data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 起動対象マスタ追加（１件）
+        /// <summary>
+        /// 起動対象マスタ追加（１件）
+        /// </summary>
+        /// <param name="data">起動対象マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(ProcessExcute data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO ProcessExcuteMaster";
+                strcmd += " (SecCode";
+                strcmd += ", ExecCode";
+                strcmd += ", EditFlg";
+                strcmd += ", EntryDate";
+                strcmd += ", UpdateDate)";
+
+                strcmd += " VALUES (";
+
+                strcmd += data.SecCode.ToString();
+
+                strcmd += ", " + data.ExecCode.ToString();
+                strcmd += ", " + data.EditFlg.ToString();
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 起動対象マスタ複数件追加
+        /// <summary>
+        /// 起動対象マスタ複数件追加
+        /// </summary>
+        /// <param name="data">起動対象マスタ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<ProcessExcute> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (ProcessExcute work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 起動対象マスタ更新
+        /// <summary>
+        /// 起動対象マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">起動対象マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, ProcessExcute data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE ProcessExcuteMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" SecCode = {0}", data.SecCode.ToString());
+
+                strcmd += string.Format(",ExecCode = {0}", data.ExecCode.ToString());
+
+                strcmd += string.Format(",EditFlg = {0}", data.EditFlg.ToString());
+                
+                strcmd += " ,UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 起動対象マスタ削除
+        /// <summary>
+        /// 起動対象マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">起動対象マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM ProcessExcuteMaster", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref ProcessExcute wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.SecCode = int.Parse(objwrk[(int)DataColumn.SecCode].ToString());
+
+                wrk.ExecCode = int.Parse(objwrk[(int)DataColumn.ExecCode].ToString());
+                wrk.EditFlg = int.Parse(objwrk[(int)DataColumn.EditFlg].ToString());
+                
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("起動対象エラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        public string CreatePrimarykeyString(int SecCode, int ExecCode = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" Where SecCode = {0}", SecCode);
+                if (ExecCode != 0)
+                    strWork = string.Format(" And ExecCode = {0}", ExecCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSecurity.cs	(revision 51)
@@ -0,0 +1,489 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 保護区分マスタＤＢアクセス
+    /// </summary>
+    public class IOMSecurity : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 保護区分マスタフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            SecCode = 0,
+            DisplayOrder,
+            SecName,
+            SecRank,
+            SecRange,
+            GeneralAffairs,
+            SelectBackColor,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOMSecurity()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 保護区分マスタ検索文字作成
+        /// <summary>
+        /// 保護区分マスタ検索文字作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+            strcmd += "  SecCode";
+            strcmd += " ,DisplayOrder";
+            strcmd += " ,SecName";
+            strcmd += " ,SecRank";
+            strcmd += " ,SecRange";
+            strcmd += " ,GeneralAffairs";
+            strcmd += " ,SelectBackColor";
+
+            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+            strcmd += " FROM SecurityMaster";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 保護区分マスタ検索（複数）
+        /// <summary>
+        /// 保護区分マスタ検索(複数)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<SecurityMaster> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    SecurityMaster work = new SecurityMaster();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 保護区分マスタ検索(1件)
+        /// <summary>
+        /// 保護区分マスタ検索(1件)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref SecurityMaster data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 保護区分マスタ追加（1件）
+        /// <summary>
+        /// 保護区分マスタ追加（1件）
+        /// </summary>
+        /// <param name="data">保護区分マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(SecurityMaster work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "INSERT INTO SecurityMaster";
+                strcmd += " (SecCode";
+                strcmd += " ,DisplayOrder";
+                strcmd += " ,SecName";
+                strcmd += " ,SecRank";
+                strcmd += " ,SecRange";
+                strcmd += " ,GeneralAffairs";
+                strcmd += " ,SelectBackColor";
+                strcmd += " ,EntryDate";
+                strcmd += " ,UpdateDate)";
+
+                strcmd += " VALUES (";
+
+                strcmd += work.SecCode.ToString();
+                strcmd += string.Format(", {0}", work.DisplayOrder);
+                strcmd += string.Format(",'{0}'", work.SecName);
+                strcmd += string.Format(", {0}", work.SecRank);
+                strcmd += string.Format(", {0}", work.SecRange);
+                strcmd += string.Format(", {0}", work.GeneralAffairs);
+                strcmd += string.Format(",'{0}'", work.SelectBackColor);
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 保護区分マスタ追加
+        /// <summary>
+        /// 保護区分マスタ追加
+        /// </summary>
+        /// <param name="data">保護区分マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<SecurityMaster> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (SecurityMaster work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 保護区分マスタ更新
+        /// <summary>
+        /// 保護区分マスタ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">保護区分マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, SecurityMaster data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE SecurityMaster";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" SecCode = {0}", data.SecCode);
+                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder);
+                strcmd += string.Format(",SecName = '{0}'", data.SecName);
+                strcmd += string.Format(",SecRank = {0}", data.SecRank);
+                strcmd += string.Format(",SecRange = {0}", data.SecRange);
+                strcmd += string.Format(",GeneralAffairs = {0}", data.GeneralAffairs);
+                strcmd += string.Format(",SelectBackColor = '{0}'", data.SelectBackColor);
+                
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 保護区分マスタ削除
+        /// <summary>
+        /// 保護区分マスタ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">保護区分マスタデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM SecurityMaster", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="SecurityCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int SecurityCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE SecurityMaster";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int) DataColumn.SecCode:
+                        strcmd += string.Format(" SecurityCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.DisplayOrder:
+                        strcmd += string.Format(" DisplayOrder = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.SecName:
+                        strcmd += string.Format(" SecurityName = '{0}'", value.ToString());
+                        break;
+                    case (int)DataColumn.SecRank:
+                        strcmd += string.Format(" SecurityRank = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.SecRange:
+                        strcmd += string.Format(" SecurityRange = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.GeneralAffairs:
+                        strcmd += string.Format(" GeneralAffairs = {0}", ((int)value).ToString());
+                        break;
+
+                    case (int)DataColumn.SelectBackColor:
+                        strcmd += string.Format(" SelectBackColor = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(SecurityCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref SecurityMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.SecCode = int.Parse(objwrk[(int)DataColumn.SecCode].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)DataColumn.DisplayOrder].ToString());
+                wrk.SecName = objwrk[(int)DataColumn.SecName].ToString();
+                wrk.SecRank = int.Parse(objwrk[(int)DataColumn.SecRank].ToString());
+                wrk.SecRange = int.Parse(objwrk[(int)DataColumn.SecRange].ToString());
+                wrk.GeneralAffairs = int.Parse(objwrk[(int)DataColumn.GeneralAffairs].ToString());
+                wrk.SelectBackColor = objwrk[(int)DataColumn.SelectBackColor].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("保護区分エラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int SecurityCode)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" Where SecCode = {0}", SecurityCode);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 保護区分コードの最大値を取得する
+        /// <summary>
+        /// 保護区分コードの最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxSecurityCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SecCode), 0) FROM SecurityMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                iRet = CommonMotions.cnvInt(objwrk[0]) + 1;
+
+                return iRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return -1;
+            }
+        }
+        #endregion
+
+        #region 表示順の最大値を取得する
+        /// <summary>
+        /// 表示順の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxDisplayCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(DISPLAYORDER), 0) FROM SecurityMaster" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                object[] objwrk = (object[])arData[0];
+                iRet = CommonMotions.cnvInt(objwrk[0]) + 1;
+
+                return iRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return -1;
+            }
+        }
+        #endregion
+    }
+}
